﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLCOUPON]') AND name = N'key1')
BEGIN 
PRINT 'Creating index key1 on table DLCOUPON'
CREATE UNIQUE NONCLUSTERED INDEX [key1] ON [dbo].[DLCOUPON] 
(
	[RTI] ASC,
	[TranDate] ASC,
	[TranTillID] ASC,
	[TranNo] ASC,
	[Sequence] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLCOUPON' AND COLUMN_NAME = 'ExcCoupon' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLCOUPON_ExcCoupon')
BEGIN 
    PRINT 'Creating default constraint DF_DLCOUPON_ExcCoupon on table DLCOUPON' 
    ALTER TABLE [dbo].[DLCOUPON]
    ADD CONSTRAINT [DF_DLCOUPON_ExcCoupon] DEFAULT ((0)) FOR [ExcCoupon]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLCOUPON' AND COLUMN_NAME = 'ReUsable' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLCOUPON_ReUsable')
BEGIN 
    PRINT 'Creating default constraint DF_DLCOUPON_ReUsable on table DLCOUPON' 
    ALTER TABLE [dbo].[DLCOUPON]
    ADD CONSTRAINT [DF_DLCOUPON_ReUsable] DEFAULT ((0)) FOR [ReUsable]
END 
GO

